Skip Menu |
 
Update: The rt.cpan.org bug tracker service is no longer shutting down.

This queue is for tickets about the Spreadsheet-XLSX CPAN distribution.

Report information
The Basics
Id: 42164
Status: resolved
Priority: 0/
Queue: Spreadsheet-XLSX

People
Owner: Nobody in particular
Requestors: HMBRAND [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: 0.07
Fixed in: (no value)



Subject: Requirement of 5.8.8 is too high
Download (untitled) / with headers
text/plain 839b
The module requires 5.8.8 in XLSX.pm, which isn't needed. I lowered it to 5.8.5, and that worked fine. Test::MinimumVersion shows that 5.6.0 is the minimum you support $ cat tmv.pl use Test::MinimumVersion; all_minimum_version_ok (5.006000, { paths => [ "t", "lib", "Makefile.PL" ]}); $ perl tmv.pl 1..6 ok 1 - t/1_____loreyna126.t ok 2 - t/0____________use.t ok 3 - lib/Spreadsheet/XLSX.pm ok 4 - lib/Spreadsheet/XLSX/Fmt2007.pm ok 5 - lib/Spreadsheet/XLSX/Utility2007.pm ok 6 - Makefile.PL With 5.005000 you get not ok 1 - t/1_____loreyna126.t # Failed test 't/1_____loreyna126.t' # at /pro/lib/perl5/site_perl/5.10.0/Test/MinimumVersion.pm line 139. # t/1_____loreyna126.t requires 5.006 due to syntax Please do not require such new versions without documented reasons /me now off to include this in Spreadsheet::Read support
Download (untitled) / with headers
text/plain 635b
Show quoted text
> The module requires 5.8.8 in XLSX.pm, which isn't needed. > Test::MinimumVersion shows that 5.6.0 is the minimum you support
Thank you for the investigation, I fixed this in 0.08. Show quoted text
> Please do not require such new versions without documented reasons
Sorry, but right now I use 5.8.8 and have no other Perl installations. 5.10 is considered stable, so 5.8 looks even a bit obsolete, but not "such new" at all. The code works for me, so I mark the guaranteed minimum version. You tested it elsewhere — very fine, everybody's happy. /me now off to include this in Spreadsheet::Read support No problem, please feel free to do it.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.